Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 681068 - sys-cluster/ceph-14.2.0 with sys-libs/ncurses[tinfo] - ld: CMakeFiles/rbd.dir/action/Perf.cc.o: undefined reference to symbol 'cbreak'
Summary: sys-cluster/ceph-14.2.0 with sys-libs/ncurses[tinfo] - ld: CMakeFiles/rbd.dir...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick McLean
URL: https://github.com/ceph/ceph/commit/b...
Whiteboard:
Keywords:
: 683710 (view as bug list)
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2019-03-20 18:35 UTC by Jeroen Roovers
Modified: 2019-04-18 08:49 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
sys-cluster:ceph-14.2.0:20190320-130711.log.xz (sys-cluster:ceph-14.2.0:20190320-130711.log.xz,52.92 KB, application/x-xz)
2019-03-20 18:36 UTC, Jeroen Roovers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2019-03-20 18:35:40 UTC
usr/bin/x86_64-pc-linux-gnu-g++  -frecord-gcc-switches -g -pipe -O2 -Wall -march=amdfam10 -mtune=amdfam10 -Wno-comment -Wall -Wtype-limits -Wignored-qualifiers -Winit-self -Wpointer-arith -Werror=format-security -fno-strict-aliasing -fsigned-char -Wno-unknown-pragmas -rdynamic -frecord-gcc-switches -g -pipe -O2 -Wall -march=amdfam10 -mtune=amdfam10 -ftemplate-depth-1024 -Wnon-virtual-dtor -Wno-unknown-pragmas -Wno-ignored-qualifiers -Wstrict-null-sentinel -Woverloaded-virtual -fno-new-ttp-matching -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-protector-strong -fdiagnostics-color=auto -fno-builtin-malloc -fno-builtin-calloc -fno-builtin-realloc -fno-builtin-free  -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -pie CMakeFiles/rbd.dir/rbd.cc.o CMakeFiles/rbd.dir/ArgumentTypes.cc.o CMakeFiles/rbd.dir/IndentStream.cc.o CMakeFiles/rbd.dir/MirrorDaemonServiceInfo.cc.o CMakeFiles/rbd.dir/OptionPrinter.cc.o CMakeFiles/rbd.dir/Shell.cc.o CMakeFiles/rbd.dir/Utils.cc.o CMakeFiles/rbd.dir/action/Bench.cc.o CMakeFiles/rbd.dir/action/Children.cc.o CMakeFiles/rbd.dir/action/Clone.cc.o CMakeFiles/rbd.dir/action/Config.cc.o CMakeFiles/rbd.dir/action/Copy.cc.o CMakeFiles/rbd.dir/action/Create.cc.o CMakeFiles/rbd.dir/action/Device.cc.o CMakeFiles/rbd.dir/action/Diff.cc.o CMakeFiles/rbd.dir/action/DiskUsage.cc.o CMakeFiles/rbd.dir/action/Export.cc.o CMakeFiles/rbd.dir/action/Feature.cc.o CMakeFiles/rbd.dir/action/Flatten.cc.o CMakeFiles/rbd.dir/action/Ggate.cc.o CMakeFiles/rbd.dir/action/Group.cc.o CMakeFiles/rbd.dir/action/ImageMeta.cc.o CMakeFiles/rbd.dir/action/Import.cc.o CMakeFiles/rbd.dir/action/Info.cc.o CMakeFiles/rbd.dir/action/Journal.cc.o CMakeFiles/rbd.dir/action/Kernel.cc.o CMakeFiles/rbd.dir/action/List.cc.o CMakeFiles/rbd.dir/action/Lock.cc.o CMakeFiles/rbd.dir/action/MergeDiff.cc.o CMakeFiles/rbd.dir/action/Migration.cc.o CMakeFiles/rbd.dir/action/MirrorPool.cc.o CMakeFiles/rbd.dir/action/MirrorImage.cc.o CMakeFiles/rbd.dir/action/Namespace.cc.o CMakeFiles/rbd.dir/action/Nbd.cc.o CMakeFiles/rbd.dir/action/ObjectMap.cc.o CMakeFiles/rbd.dir/action/Perf.cc.o CMakeFiles/rbd.dir/action/Pool.cc.o CMakeFiles/rbd.dir/action/Remove.cc.o CMakeFiles/rbd.dir/action/Rename.cc.o CMakeFiles/rbd.dir/action/Resize.cc.o CMakeFiles/rbd.dir/action/Snap.cc.o CMakeFiles/rbd.dir/action/Sparsify.cc.o CMakeFiles/rbd.dir/action/Status.cc.o CMakeFiles/rbd.dir/action/Trash.cc.o CMakeFiles/rbd.dir/action/Watch.cc.o ../../common/CMakeFiles/common_texttable_obj.dir/TextTable.cc.o  -o ../../../bin/rbd -Wl,-rpath,/home/portage/sys-cluster/ceph-14.2.0/work/ceph-14.2.0_build/lib: ../../../lib/librbd.so.1.12.0 ../../../lib/librados.so.2.0.0 ../../../lib/libcls_journal_client.a ../../../lib/libcls_rbd_client.a ../../../lib/librbd_types.a ../../../lib/libjournal.a ../../../lib/libglobal.a -lncurses -lblkid -ldl ../../../lib/libkrbd.a ../../../lib/libcls_lock_client.a ../../../lib/libcls_journal_client.a ../../../lib/libceph-common.so.0 ../../../lib/libjson_spirit.a ../../../lib/libcommon_utf8.a ../../../lib/liberasure_code.a ../../../lib/libcrc32.so ../../../lib/libarch.a ../../../boost/lib/libboost_thread.a ../../../boost/lib/libboost_chrono.a ../../../boost/lib/libboost_atomic.a ../../../boost/lib/libboost_system.a ../../../boost/lib/libboost_random.a ../../../boost/lib/libboost_program_options.a ../../../boost/lib/libboost_date_time.a ../../../boost/lib/libboost_iostreams.a ../../../boost/lib/libboost_regex.a /usr/lib/libssl3.so /usr/lib/libsmime3.so /usr/lib/libnss3.so /usr/lib/libnssutil3.so /usr/lib/libplds4.so /usr/lib/libplc4.so /usr/lib/libnspr4.so /usr/lib64/libcrypto.so -lpthread /usr/lib/libudev.so -lz -lrt -lresolv -lblkid -ldl /usr/lib/libkeyutils.so
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/rbd.dir/action/Perf.cc.o: undefined reference to symbol 'cbreak'
/lib64/libtinfo.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
make[2]: *** [src/tools/rbd/CMakeFiles/rbd.dir/build.make:1279: bin/rbd] Error 1
make[2]: Leaving directory '/home/portage/sys-cluster/ceph-14.2.0/work/ceph-14.2.0_build'
make[1]: *** [CMakeFiles/Makefile2:6242: src/tools/rbd/CMakeFiles/rbd.dir/all] Error 2
make[1]: Leaving directory '/home/portage/sys-cluster/ceph-14.2.0/work/ceph-14.2.0_build'
make: *** [Makefile:141: all] Error 2
 * ERROR: sys-cluster/ceph-14.2.0::gentoo failed (compile phase):
 *   emake failed
Comment 1 Jeroen Roovers gentoo-dev 2019-03-20 18:36:40 UTC
Created attachment 570060 [details]
sys-cluster:ceph-14.2.0:20190320-130711.log.xz
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2019-04-08 16:19:34 UTC
See PR for a fix. I'd appreciate if you as maintainers might open a ticket at upstream's bug reporting facility. I do not really wanna register there for this one patch.
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2019-04-12 14:21:12 UTC
Fix was accepted by upstream (see URL).
Comment 4 Larry the Git Cow gentoo-dev 2019-04-15 23:29:47 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c1469bcc815ad185bba2b5300887a3a142e8603

commit 9c1469bcc815ad185bba2b5300887a3a142e8603
Author:     Patrick McLean <patrick.mclean@sony.com>
AuthorDate: 2019-04-15 23:26:37 +0000
Commit:     Patrick McLean <chutzpah@gentoo.org>
CommitDate: 2019-04-15 23:26:37 +0000

    sys-cluster/ceph: Revbumps, 681068, 651460, 671482, 682664, 638750
    
    Cleanups for a lot of old bugs that had fallen through the cracks/
    
    Closes: https://bugs.gentoo.org/681068
    Closes: https://bugs.gentoo.org/651460
    Closes: https://bugs.gentoo.org/671482
    Closes: https://bugs.gentoo.org/682664
    Closes: https://bugs.gentoo.org/638750
    Copyright: Sony Interactive Entertainment Inc.
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Patrick McLean <chutzpah@gentoo.org>

 ...{ceph-12.2.12.ebuild => ceph-12.2.12-r1.ebuild} | 13 +++++-----
 ...ceph-13.2.5-r2.ebuild => ceph-13.2.5-r3.ebuild} | 23 +++++++++--------
 ...ceph-14.2.0-r4.ebuild => ceph-14.2.0-r5.ebuild} | 13 +++++-----
 .../ceph/files/ceph-12.2.12-ncurses-tinfo.patch    | 20 +++++++++++++++
 .../ceph/files/ceph-14.2.1-ncurses-tinfo.patch     | 30 ++++++++++++++++++++++
 5 files changed, 77 insertions(+), 22 deletions(-)
Comment 5 Jeroen Roovers gentoo-dev 2019-04-18 08:49:43 UTC
*** Bug 683710 has been marked as a duplicate of this bug. ***